<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="MissingPrefix"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="ch.pizzapp.android.activity.MainActivity">

    <ch.pizzapp.android.view.AppToolbar
        android:id="@+id/pizzalinkToolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:title="@string/bottom_nav_menu_item_menu"
        app:showHamburgerMenuIcon="true"/>

    <android.support.v4.widget.DrawerLayout
        android:id="@+id/drawerLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/pizzalinkToolbar"
        android:layout_above="@+id/cartTotalRelativeLayout">

        <FrameLayout
            android:id="@+id/fragmentContainer"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/actvity_default_background_color_1"/>

        <android.support.v7.widget.RecyclerView
            android:id="@+id/navigationMenuRecyclerView"
            android:layout_width="240dp"
            android:layout_height="match_parent"
            android:layout_gravity="start"
            android:background="@color/white"/>

    </android.support.v4.widget.DrawerLayout>

    <RelativeLayout
        android:id="@+id/cartTotalRelativeLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ghost_white"
        android:layout_above="@+id/bottomNavigationView"
        android:visibility="visible">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/black"
            fontPath="fonts/Quicksand-Bold.ttf"
            android:layout_gravity="center_horizontal"
            android:text="@string/cart_total"
            android:padding="16dp"
            android:layout_centerVertical="true"/>

        <TextView
            android:id="@+id/cartTotalTextView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="16dp"
            android:layout_centerVertical="true"
            android:textColor="@color/red"
            android:layout_gravity="center_horizontal"
            android:layout_alignParentRight="true"
            android:layout_alignParentEnd="true"
            fontPath="fonts/Quicksand-Bold.ttf"/>

    </RelativeLayout>

    <com.ittianyu.bottomnavigationviewex.BottomNavigationViewEx
        android:id="@+id/bottomNavigationView"
        android:layout_width="match_parent"
        android:layout_height="?android:attr/actionBarSize"
        app:itemIconTint="@drawable/selector_bottom_navigation_item"
        app:itemTextColor="@drawable/selector_bottom_navigation_item"
        android:background="@color/main_black"
        app:menu="@menu/menu_bottom_navigation"
        app:itemBackground="@color/main_black"
        android:layout_alignParentBottom="true"/>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerInParent="true"
        android:layout_marginBottom="-8dp"
        android:elevation="9dp"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/badgeLayout"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginBottom="-12dp"
            android:elevation="9dp"
            android:background="@drawable/background_badge"
            android:layout_gravity="center_horizontal">

            <TextView
                android:id="@+id/badgeTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                fontPath="fonts/Quicksand-Bold.ttf"
                android:textColor="@color/white"
                android:text="1"/>

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/shoppingCartButtonLayout"
            android:layout_width="72dp"
            android:layout_height="72dp"
            android:background="@drawable/background_button_cart"
            android:elevation="8dp">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_centerInParent="true">

                <ImageView
                    android:id="@+id/shoppingCartImageView"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_gravity="center_horizontal"
                    android:src="@drawable/ic_bottom_nav_item_cart_white"/>

                <TextView
                    android:id="@+id/shoppingCartTextView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/bottom_nav_menu_item_cart"
                    android:textSize="10sp"
                    android:textColor="@color/white"/>

            </LinearLayout>

        </RelativeLayout>


    </LinearLayout>

    <android.support.v7.widget.AppCompatImageButton
        android:id="@+id/shoppingCartButton"
        android:layout_width="64dp"
        android:layout_height="64dp"
        android:background="@drawable/background_button_cart"
        android:gravity="center"
        android:src="@drawable/ic_bottom_nav_item_cart_white"
        android:layout_alignParentBottom="true"
        android:layout_centerInParent="true"
        android:elevation="9dp"
        android:visibility="gone"/>

    <!--
    <RelativeLayout
        android:id="@+id/bottomNavigationViewLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_alignParentBottom="true">

        <android.support.v7.widget.AppCompatImageButton
            android:id="@+id/shoppingCartButton"
            android:layout_width="64dp"
            android:layout_height="64dp"
            android:background="@drawable/background_button_cart"
            android:gravity="center"
            android:src="@drawable/ic_bottom_nav_item_cart_white"
            android:elevation="9dp"
            android:layout_marginBottom="-12dp"
            android:layout_centerHorizontal="true"/>

        <com.ittianyu.bottomnavigationviewex.BottomNavigationViewEx
            android:id="@+id/bottomNavigationView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:itemIconTint="@drawable/selector_bottom_navigation_item"
            app:itemTextColor="@drawable/selector_bottom_navigation_item"
            android:background="@color/navy"
            app:menu="@menu/menu_bottom_navigation"
            app:itemBackground="@color/navy"
            app:elevation="0dp"/>

    </RelativeLayout>
    -->

</RelativeLayout>


    <!--

    full screen navigation drawer
    <?xml version="1.0" encoding="utf-8"?>
    <android.support.v4.widget.DrawerLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/drawerLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context="ch.pizzalink.android.activity.MainActivity">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ch.pizzalink.android.view.PizzalinkToolbar
                android:id="@+id/pizzalinkToolbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:title="@string/bottom_nav_menu_item_order"
                app:showHamburgerMenuIcon="true"/>

            <FrameLayout
                android:id="@+id/fragmentContainer"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="@color/white"/>

            <com.ittianyu.bottomnavigationviewex.BottomNavigationViewEx
                android:id="@+id/bottomNavigationView"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:layout_gravity="bottom"
                app:itemIconTint="@drawable/selector_bottom_navigation_item"
                app:itemTextColor="@drawable/selector_bottom_navigation_item"
                android:background="@color/white"
                app:menu="@menu/menu_bottom_navigation"
                app:itemBackground="@color/black"/>

        </LinearLayout>

        <include layout="@layout/layout_navigation_drawer"/>

    </android.support.v4.widget.DrawerLayout>

    -->


<!--

 navigation menu between toolbar and bottom navigation

<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="ch.pizzalink.android.activity.MainActivity">

    <ch.pizzalink.android.view.PizzalinkToolbar
        android:id="@+id/pizzalinkToolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:title="@string/bottom_nav_menu_item_order"
        app:showHamburgerMenuIcon="true"/>

    <android.support.v4.widget.DrawerLayout
        android:id="@+id/drawerLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/pizzalinkToolbar"
        android:layout_above="@+id/bottomNavigationView">

        <FrameLayout
            android:id="@+id/fragmentContainer"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/white"/>

        <include layout="@layout/layout_navigation_drawer"/>

    </android.support.v4.widget.DrawerLayout>

    <com.ittianyu.bottomnavigationviewex.BottomNavigationViewEx
        android:id="@+id/bottomNavigationView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        app:itemIconTint="@drawable/selector_bottom_navigation_item"
        app:itemTextColor="@drawable/selector_bottom_navigation_item"
        android:background="@color/white"
        app:menu="@menu/menu_bottom_navigation"
        app:itemBackground="@color/black"/>

</RelativeLayout>

-->